<?php
include('include/entete.php');
include('config/config.inc.php');
include('config/lib.inc.php');


if(isset($_POST['action']) && $_POST['action']=='go_co'){
	
	foreach($_POST as $cle=>$val) $$cle=$val;
	
	$maCleDeCryptage = getCleDeCryptage();	
	$ident2=crypter($maCleDeCryptage,$identifiant);
	// var_dump($ident2);
	// //var_dump($mdp);
	// var_dump(md5('testpv'));
	// $sql = 'SELECT * FROM droits';
	// $pdo = connect_base();
    // // 5. Préparation et exécution
    // $stmt = $pdo->prepare($sql);
    // $stmt->execute();

    // // 6. Récupération de tous les résultats
    // $droits = $stmt->fetchAll();

    // // 7. Affichage des résultats
    // if ($droits) {
    //     echo '<table border="1" cellpadding="5" cellspacing="0">';
    //     echo '<tr>';
    //     // En-têtes dynamiques
    //     foreach (array_keys($droits[0]) as $colonne) {
    //         echo '<th>' . htmlspecialchars($colonne, ENT_QUOTES, 'UTF-8') . '</th>';
    //     }
    //     echo '</tr>';
    //     // Parcours des lignes
    //     foreach ($droits as $ligne) {
    //         echo '<tr>';
    //         foreach ($ligne as $valeur) {
    //             echo '<td>' . htmlspecialchars($valeur, ENT_QUOTES, 'UTF-8') . '</td>';
    //         }
    //         echo '</tr>';
    //     }
    //     echo '</table>';
    // } else {
    //     echo 'Aucun enregistrement trouvé dans la table droits.';
    // }
	
	$count=0;
	$query = 'select * from droits where login_adm=:login_adm and mdp_adm=:mdp_adm';
	$db = connect_base();
	$queryRequest = $db->prepare( $query );
	$queryRequest->bindParam( ':login_adm', $ident2, PDO::PARAM_STR );
	$queryRequest->bindParam( ':mdp_adm', md5($mdp), PDO::PARAM_STR );
	$queryRequest->execute();
	$count = $queryRequest->rowCount();
	$r = $queryRequest->fetch( PDO::FETCH_ASSOC );
	// var_dump($r);
	// exit();

	if($count==1){
		
		//Accès admin
		if($r['droit_adm']==1 && $r['droit_autre']==0){
			$_SESSION['adm_co']=1;
			$_SESSION['adm_num']=$r['id_adm'];
			$_SESSION['adm_droit']=$r['droit_adm'];
			header('location:index-adm.php');
			exit();
		}
		//Accès consultation (uniquement la boite à outils sans restriction)
		if($r['droit_adm']==0 && $r['droit_autre']==1){
			$_SESSION['adm_autre']=1;
			header('location:bao-all.php');
			exit();
		}
		
	}

	
}
header('location:connexion-adm.php?err=1');
exit();

?>